Get Dashboard Endpoint
curl --request GET \
--url https://api.example.com/v2/analytics/dashboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/analytics/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/analytics/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"weekly_progress": {
"completed": 1,
"total": 1,
"open_count": 1,
"percentage": 0
},
"summary": {
"payment_promises_due_today": 1,
"invoices_due_today_amount": 1,
"invoices_due_today_customers": 1
},
"action_groups": {
"respond_to": [
{
"count": 1,
"amount": 1,
"customer_count": 1,
"action_type": "disputes"
}
],
"collect": [
{
"count": 1,
"amount": 1,
"customer_count": 1,
"action_type": "disputes"
}
]
},
"charts": {
"by_age": [
{
"label": "<string>",
"count": 1,
"id": "<string>",
"balance": 123,
"overdue_balance": 123
}
],
"by_type": [
{
"label": "<string>",
"count": 1,
"id": "<string>",
"balance": 123,
"overdue_balance": 123
}
],
"by_customer": [
{
"label": "<string>",
"count": 1,
"id": "<string>",
"balance": 123,
"overdue_balance": 123
}
]
},
"currency": "ADP",
"agent_task_log": [
{
"task_type": "<string>",
"count": 0
}
],
"inbox": {
"triage_count": 1
},
"bank_transactions": {
"total_count": 1,
"potential_payments": {
"count": 1,
"total_amount": "<string>"
},
"needs_allocation": {
"count": 1,
"total_amount": "<string>"
},
"ready_to_post": {
"count": 1,
"total_amount": "<string>"
},
"posting_errors_count": 1,
"is_multi_currency": true,
"currency": "ADP"
}
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}analytics
Get Dashboard Endpoint
Get combined dashboard data for homepage
GET
/
v2
/
analytics
/
dashboard
Get Dashboard Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by specific assignee IDs.
Filter by business unit IDs
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The 3 character ISO 4217 currency code.
Available options:
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
